#pragma once

class CParameterSet;

#include <list>

typedef std::list<CParameterSet*> tParameterSetList;

class CParameterStack
{
public:
    CParameterStack();
    virtual ~CParameterStack();
    virtual CParameterStack& operator=(CParameterStack& p_rOther);
    BOOL Reset();

    BOOL Push(CParameterSet& p_rParameterSet);
    BOOL Pop(CParameterSet& p_rParameterSet);
    BOOL Peek(CParameterSet& p_rParameterSet);
    BOOL IsEmpty();

protected:
    tParameterSetList m_ParameterSetList;
};
