#pragma once

#include <MmcTypeDefinition.h>

class CCommunicationSetting
{
public:
    void SetProtocolStackSettings(DWORD p_ulBaudrate, DWORD p_ulTimeout);
    void GetProtocolStackSettings(DWORD* p_pulBaudrate, DWORD* p_pulTimeout);

    void SetDeviceSetting(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_strInterfaceName, CStdString p_strPortName);
    void GetDeviceSetting(CStdString* p_pStrVirtualDeviceName, CStdString* p_pStrDeviceName, CStdString* p_pStrProtocolStackName, CStdString* p_pStrInterfaceName, CStdString* p_pStrPortName);

    BOOL operator ==(const CCommunicationSetting& p_rOther);
    CCommunicationSetting& operator=(CCommunicationSetting& p_rOther);

    CCommunicationSetting();
    virtual ~CCommunicationSetting();

protected:
    CStdString m_strVirtualDeviceName;
    CStdString m_strDeviceName;
    CStdString m_strProtocolStackName;
    CStdString m_strInterfaceName;
    CStdString m_strPortName;

    DWORD m_dBaudrate;
    DWORD m_dTimeout;
};
