#pragma once

#include <CommunicationModel/Common/CommunicationModelDefinitions.h>
#include <MmcTypeDefinition.h>
#include <ParameterSet/ParameterSet.h>

class CLayerParameterSet: public CParameterSet
{
public:
    CLayerParameterSet();

    CLayerParameterSet(ELayer p_eLayer);
    virtual ~CLayerParameterSet();

    virtual CLayerParameterSet& operator=(CLayerParameterSet& other);
    virtual CParameterSet* Clone();
    virtual BOOL operator==(CLayerParameterSet& other);

    BOOL IsLayer(ELayer p_eLayer);

private:
    ELayer m_eLayer;
};
