#pragma once

#include <Classes/XXMLFile.h>
#include <CommunicationModel/CommonLayer/Classes/Commands/Command/ParameterInfo/Parameter/ParameterBase.h>

class CParameter : public CParameterBase
{
public:
    CParameter();
    virtual ~CParameter();

    CParameter& operator=(CParameter& p_rOther);
    void Reset();

    bool StoreToXMLFile(CXXMLFile* p_pFile, CXXMLFile::CElement* p_pParentElement);
    bool LoadFromXMLFile(CXXMLFile* p_pFile, CXXMLFile::CElement* p_pParameterElement);
};
