// Command_I_MCP.h: Schnittstelle für die Klasse CCommand_I_MCP.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "BaseClasses/Command_I.h"
#include "Command_I_MCP_Definitions.h"

class CCommand_I_MCP : public CCommand_I
{
public:
    CCommand_I_MCP();
    CCommand_I_MCP(DWORD p_ulCommandId);
    virtual ~CCommand_I_MCP();

    BOOL InitCommand(DWORD p_ulCommandId);

    CCommand_I_MCP& operator=(CCommand_I_MCP& other);
    CCommandRoot* CloneCommand();

private:
    void SetDefaultParameter_SetCurrentSpiTransferSettings();
    void SetDefaultParameter_GetCurrentSpiTransferSettings();
    void SetDefaultParameter_SetCurrentChipSettings();
    void SetDefaultParameter_GetCurrentChipSettings();
    void SetDefaultParameter_SetCurrentPinDirections();
    void SetDefaultParameter_GetCurrentPinDirections();
    void SetDefaultParameter_SetCurrentPinValues();
    void SetDefaultParameter_GetCurrentPinValues();
    void SetDefaultParameter_WriteReadData();
};
