#pragma once

#include "BaseClasses/Command_VCS.h"
#include "Command_VCS_Device_Definitions.h"

class CCommand_VCS_Device: public CCommand_VCS
{
public:
    CCommand_VCS_Device();
    CCommand_VCS_Device(DWORD p_ulCommandId);
    virtual ~CCommand_VCS_Device();

    BOOL InitCommand(DWORD p_ulCommandId);

    CCommand_VCS_Device& operator=(CCommand_VCS_Device& p_rOther);
    CCommandRoot*CloneCommand();

private:
    BOOL InitCommand_Infos(DWORD p_ulCommandId);

    //Infos
    void SetDefaultParameter_GetVersion();
    void SetDefaultParameter_GetDeviceType();
};
