///////////////////////////////////////////////////////////
//Command_VCS_InputsOutputs_Definitions.h
//
//Project:CommonWinLib
//Author:Software team
//DateofCreation:14.08.2015
//
//Copyright2015,maxonmotorag.
//Allrightsreserved.
///////////////////////////////////////////////////////////

#pragma once

//Command IDs
    //Input/outputs general
    const DWORD    IO_DIGITAL_INPUT_CONFIGURATION                = 0x00080001;
    const DWORD    IO_DIGITAL_OUTPUT_CONFIGURATION               = 0x00080002;
    const DWORD    IO_ANALOG_INPUT_CONFIGURATION                 = 0x00080003;
    const DWORD    IO_ANALOG_OUTPUT_CONFIGURATION                = 0x00080004;
    const DWORD    IO_GET_ALL_DIGITAL_INPUTS                     = 0x00080005;
    const DWORD    IO_GET_ALL_DIGITAL_OUTPUTS                    = 0x00080006;
    const DWORD    IO_GET_ANALOG_INPUT                           = 0x00080007;
    const DWORD    IO_GET_ANALOG_INPUT_VOLTAGE                   = 0x00080008;
    const DWORD    IO_GET_ANALOG_INPUT_STATE                     = 0x00080009;
    const DWORD    IO_SET_ALL_DIGITAL_OUTPUTS                    = 0x0008000A;
    const DWORD    IO_SET_ANALOG_OUTPUT                          = 0x0008000B;
    const DWORD    IO_SET_ANALOG_OUTPUT_VOLTAGE                  = 0x0008000C;
    const DWORD    IO_SET_ANALOG_OUTPUT_STATE                    = 0x0008000D;

    //Position marker
    const DWORD    IO_SET_POSITION_MARKER_PARAMETER              = 0x00080011;
    const DWORD    IO_GET_POSITION_MARKER_PARAMETER              = 0x00080012;
    const DWORD    IO_ACTIVATE_POSITION_MARKER                   = 0x00080013;
    const DWORD    IO_DEACTIVATE_POSITION_MARKER                 = 0x00080014;
    const DWORD    IO_READ_POSITION_MARKER_COUNTER               = 0x00080015;
    const DWORD    IO_READ_POSITION_MARKER_CAPTURED_POSITION     = 0x00080016;
    const DWORD    IO_RESET_POSITION_MARKER_COUNTER              = 0x00080017;

    //Position compare
    const DWORD    IO_SET_POSITION_COMPARE_PARAMETER             = 0x00080021;
    const DWORD    IO_GET_POSITION_COMPARE_PARAMETER             = 0x00080022;
    const DWORD    IO_ACTIVATE_POSITION_COMPARE                  = 0x00080023;
    const DWORD    IO_DEACTIVATE_POSITION_COMPARE                = 0x00080024;
    const DWORD    IO_ENABLE_POSITION_COMPARE                    = 0x00080025;
    const DWORD    IO_DISABLE_POSITION_COMPARE                   = 0x00080026;
    const DWORD    IO_SET_POSITION_COMPARE_REFERENCE_POSITION    = 0x00080027;
