#pragma once

#include <CommunicationModel/Common/CommunicationModelDefinitions.h>
#include <CommunicationModel/CommonLayer/Classes/Commands/VirtualCommandSet/BaseClasses/Command_VCS.h>
#include "Command_VCS_Motion_Definitions.h"

class CCommand_VCS_Motion : public CCommand_VCS
{
public:
    CCommand_VCS_Motion();
    CCommand_VCS_Motion(DWORD p_ulCommandId);
    virtual ~CCommand_VCS_Motion();

    BOOL InitCommand(DWORD p_ulCommandId);

    CCommand_VCS_Motion& operator=(CCommand_VCS_Motion& p_rOther);
    CCommandRoot*CloneCommand();

private:
    BOOL InitCommand_Info(DWORD p_ulCommandId);

    //Info
    void SetDefaultParameter_GetMovementState();
    void SetDefaultParameter_GetCurrentIs();
    void SetDefaultParameter_GetCurrentIsAveraged();
    void SetDefaultParameter_GetPositionIs();
    void SetDefaultParameter_GetVelocityIs();
    void SetDefaultParameter_GetVelocityIsAveraged();
};
