#pragma once

#include <CommunicationModel/Common/CommunicationModelDefinitions.h>
#include <CommunicationModel/CommonLayer/Classes/Commands/VirtualCommandSet/BaseClasses/Command_VCS.h>
#include "Command_VCS_Parameter_Definitions.h"

class CCommand_VCS_Parameter: public CCommand_VCS
{
public:
    CCommand_VCS_Parameter();
    CCommand_VCS_Parameter(DWORD p_ulCommandId);
    virtual ~CCommand_VCS_Parameter();

    BOOL InitCommand(DWORD p_ulCommandId);

    CCommand_VCS_Parameter& operator=(CCommand_VCS_Parameter& p_rOther);
    CCommandRoot* CloneCommand();

private:
    BOOL InitCommand_Values(DWORD p_ulCommandId);
    BOOL InitCommand_Persistence(DWORD p_ulCommandId);

    //Values
    void SetDefaultParameter_GetObject();
    void SetDefaultParameter_SetObject();
    //Persistence
    void SetDefaultParameter_Store();
    void SetDefaultParameter_Restore();
    void SetDefaultParameter_RestoreFactory();
    void SetDefaultParameter_StoreAll();
    void SetDefaultParameter_RestoreAll();
};
