///////////////////////////////////////////////////////////
//Command_VCS_Scada_Definitions.h
//
//Project:CommonWinLib
//Author:Software team
//DateofCreation:14.08.2015
//
//Copyright2015,maxonmotorag.
//Allrightsreserved.
///////////////////////////////////////////////////////////

#pragma once

//Command IDs
    //Initialisation
    const DWORD    SCADA_SET_BOOTUP_BEHAVIOUR                        = 0x000C0001;
    const DWORD    SCADA_GET_BOOTUP_BEHAVIOUR                        = 0x000C0002;

    //Program Status
    const DWORD    SCADA_COLDSTART_PLC                               = 0x000C0021;
    const DWORD    SCADA_WARMSTART_PLC                               = 0x000C0022;
    const DWORD    SCADA_HOTSTART_PLC                                = 0x000C0023;
    const DWORD    SCADA_STOP_PLC                                    = 0x000C0024;
    const DWORD    SCADA_ERASE_PLC                                   = 0x000C0026;
    const DWORD    SCADA_GET_PLC_STATUS                              = 0x000C0025;

    //Program Variable Access
    const DWORD    SCADA_INIT_VARIABLE_TABLE                         = 0x000C0030;
    const DWORD    SCADA_SET_VARIABLE                                = 0x000C0031;
    const DWORD    SCADA_GET_VARIABLE                                = 0x000C0032;

    //Process Input/Output Access
    const DWORD    SCADA_SET_PROCESS_INPUT                           = 0x000C0040;
    const DWORD    SCADA_GET_PROCESS_OUTPUT                          = 0x000C0041;
    const DWORD    SCADA_SET_PROCESS_INPUT_BIT                       = 0x000C0042;
    const DWORD    SCADA_GET_PROCESS_OUTPUT_BIT                      = 0x000C0043;

    //Process Image Access
    const DWORD    SCADA_SET_PROCESS_INPUT_IMAGE                     = 0x000C0050;
    const DWORD    SCADA_GET_PROCESS_OUTPUT_IMAGE                    = 0x000C0051;
