#pragma once

#include <MmcTypeDefinition.h>

const DWORD ERROR_EPOS4_FIRMWARE_INCOMPATIBILITY                    = 0x00001090;
const DWORD ERROR_EPOS4_POWER_STAGE_PROTECTION                      = 0x00002320;
const DWORD ERROR_EPOS4_HARDWARE_DEFECT                             = 0x00005280;
const DWORD ERROR_EPOS4_HARDWARE_MEMORY                             = 0x00005580;
const DWORD ERROR_EPOS4_CURRENT_OFFSET                              = 0x00007280;
const DWORD ERROR_EPOS4_POSITION_SENSOR_BREACH                      = 0x00007380;
const DWORD ERROR_EPOS4_POSITION_SENSOR_RESOLUTION                  = 0x00007381;
const DWORD ERROR_EPOS4_POSITION_SENSOR_INDEX                       = 0x00007382;
const DWORD ERROR_EPOS4_HALL_SENSOR                                 = 0x00007388;
const DWORD ERROR_EPOS4_HALL_SENSOR_NOT_FOUND                       = 0x00007389;
const DWORD ERROR_EPOS4_HALL_ANGLE_DETECTION                        = 0x0000738A;
const DWORD ERROR_EPOS4_BISS                                        = 0x0000738B;
const DWORD ERROR_EPOS4_MISSING_MAIN_SENSOR                         = 0x00007390;
const DWORD ERROR_EPOS4_MISSING_COMMUTATION_SENSOR                  = 0x00007391;
const DWORD ERROR_EPOS4_CAN_PASSIVE                                 = 0x00008120;
const DWORD ERROR_EPOS4_ETHERCAT_COMMUNICATION                      = 0x00008180;
const DWORD ERROR_EPOS4_TORQUE_FAULT                                = 0x00008331;
const DWORD ERROR_EPOS4_NEGATIVE_LIMIT_SWITCH                       = 0x00008A80;
const DWORD ERROR_EPOS4_POSITIVE_LIMIT_SWITCH                       = 0x00008A81;
const DWORD ERROR_EPOS4_SOFTWARE_POSITION_LIMIT                     = 0x00008A82;
const DWORD ERROR_EPOS4_MAX_SPEED                                   = 0x00008A83;
const DWORD ERROR_EPOS4_STO                                         = 0x00008A88;
const DWORD ERROR_EPOS4_SYSTEM_OVERLOADED                           = 0x0000FF01; // Conflicting with ERROR_EPOS2_HALL_SENSOR!!!
const DWORD ERROR_EPOS4_CONTROLLER_GAIN                             = 0x0000FF10;
const DWORD ERROR_EPOS4_AUTO_TUNING_IDENTIFICATION                  = 0x0000FF11;
const DWORD ERROR_EPOS4_NO_LOGIC_SUPPLY                             = 0x0000FFFF;

