#pragma once

#include <MmcTypeDefinition.h>
#include <CommunicationModel/Common/CommunicationModelDefinitions.h>

class CErrorProducer
{
public:
    BOOL IsCommandNameSet();
    CErrorProducer();
    CErrorProducer(ELayer p_eLayer, CStdString p_className);
    virtual ~CErrorProducer();

    void Init(ELayer p_eLayer, CStdString p_className, CStdString p_commandName);
    void Init(ELayer p_eLayer, CStdString p_className);
    void SetCommandName(CStdString p_commandName);

    ELayer GetLayer();

    CStdString GetClassName();
    CStdString GetCommandName();

    virtual CErrorProducer* Clone();

#ifdef _WIN32
    virtual void Serialize(CArchive& ar);
#endif //_WIN32

    CErrorProducer& operator=(CErrorProducer& other);

private:
    ELayer m_eLayer;
    CStdString m_strClassName;
    CStdString m_strCommandName;
};
