///////////////////////////////////////////////////////////
// CommandGroupStandard_DCS_Epos4.h
//
// Project:             CommunicationXLib
// Author:              MMAGINA
// Date of Creation:    28.05.2015
//
// Description:         
//
// Copyright © 2015, maxon motor ag.
// All rights reserved.
///////////////////////////////////////////////////////////

#pragma once

#include <Classes/XXMLFile.h>
#include <CommunicationModel/Common/CommunicationModelDefinitions.h>
#include "../BaseClasses/CommandGroupBase_DCS.h"

class CCommandSetObjectDictionary_DCS_Epos2;
class CCommandSetNetworkManagement_DCS_Epos2;
class CCommandSetGeneralGateway_DCS_Epos2;
class CCommandSetLayerSettingServices_DCS_Epos2;
class CGateway;

class CCommandGroupStandard_DCS_Epos4 : public CCommandGroupBase_DCS
{
public:
    CCommandGroupStandard_DCS_Epos4();
    virtual ~CCommandGroupStandard_DCS_Epos4();

    //Journal manager
    virtual void InitJournalManager(CJournalManagerBase* p_pJournalManager);
    virtual void ResetJournalManager();

    virtual BOOL InitGateway(CGateway* p_pGateway);

    CXXMLFile::CElementPart* StoreToXMLFile(CXXMLFile* p_pFile, CXXMLFile::CElementPart* p_pParentElement);

private:
    void DeleteSetList();
    void FillSetList();

private:
    CCommandSetObjectDictionary_DCS_Epos2* m_pCommandSetObjectDictionary;
    CCommandSetNetworkManagement_DCS_Epos2* m_pCommandSetNetworkManagement;
    CCommandSetGeneralGateway_DCS_Epos2* m_pCommandSetGeneralGateway;
    CCommandSetLayerSettingServices_DCS_Epos2* m_pCommandSetLayerSettingServices;
};
