#pragma once

#include <MmcTypeDefinition.h>

class CGatewaySettings
{
public:
    CGatewaySettings();
    virtual ~CGatewaySettings();

    void Init(CStdString p_GatewayName, CStdString p_GatewayProtocolStackName);
    CStdString GetGatewayName();
    CStdString GetGatewayProtocolStackName();

    BOOL operator==(const CGatewaySettings& data) const;
    CGatewaySettings& operator=(CGatewaySettings& other);
    CGatewaySettings(const CGatewaySettings& other);
    void Reset();

private:
    CStdString m_GatewayName;
    CStdString m_GatewayProtocolStackName;
};
