
#pragma once

class CJournalManagerBase;
class CGatewayVCStoDCS;
class CGateway;

#include <Classes/XXMLFile.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorInfo.h>
#include <MmcTypeDefinition.h>

const BOOL CHECK_NOT_VISIBILITY(FALSE);
const BOOL CHECK_GATEWAY_SUPPORT(TRUE);
const BOOL CHECK_NOT_GATEWAY_SUPPORT(FALSE);

class CCommandSetBase_VCS
{
public:
    CCommandSetBase_VCS();
    virtual ~CCommandSetBase_VCS();

    CStdString VCS_GetCommandSetName();

    //Journal manager
    virtual void InitJournalManager(CJournalManagerBase* p_pJournalManager);
    virtual void ResetJournalManager();
    //Gateway
    virtual BOOL InitGateway(CGateway* p_pGateway);

protected:
    CStdString m_strCommandSetName;
};
