#pragma once

#include <Classes/XXMLFile.h>
#include "../BaseClasses/CommandSetBase_VCS.h"

class CCommand_VCS_OperationMode;
class CGateway;
class CLayerManagerBase;

class CCommandSetTuningMode_VCS_OperationMode: public CCommandSetBase_VCS
{
public:
    CCommandSetTuningMode_VCS_OperationMode();
    virtual ~CCommandSetTuningMode_VCS_OperationMode();
    CXXMLFile::CElementPart* StoreToXMLFile(CXXMLFile* p_pFile, CXXMLFile::CElementPart* p_pParentElement);

    //Journal manager
    virtual void InitJournalManager(CJournalManagerBase* p_pJournalManager);
    virtual void ResetJournalManager();

    //Gateway
    virtual BOOL InitGateway(CGateway* p_pGateway);

    //API
    BOOL VCS_DoTuning(CLayerManagerBase* p_pManager, HANDLE p_hHandle, HANDLE p_hTransactionHandle, CErrorInfo* p_pErrorInfo = 0);

private:
    void InitCommands();
    void DeleteCommands();

private:
    CCommand_VCS_OperationMode* m_pCommand_DoTuning;
};

