#pragma once

#include <CommunicationModel/CommonLayer/Classes/Commands/DeviceCommandSet/DcsCanOpenCommunicationDef.h>

class CErrorInfo;

class CControllerGainsEpos
{
public:
    CControllerGainsEpos(void);
    virtual ~CControllerGainsEpos(void);

    BOOL GetControllerGainIndex(WORD p_usController, WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, CErrorInfo& p_rErrorInfo);

private:
    BOOL GetCurrentControllerGainIndex(WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, CErrorInfo& p_rErrorInfo);
    BOOL GetVelocityControllerGainIndex(WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, CErrorInfo& p_rErrorInfo);
    BOOL GetPositionControllerGainIndex(WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, CErrorInfo& p_rErrorInfo);
};
