#pragma once

#include <Classes/TypeDefinitions.h>
#include <CommunicationModel/CommonLayer/Classes/Commands/DeviceCommandSet/DcsCanOpenCommunicationDef.h>

class CErrorInfo;

class CControllerGainsEpos4
{
public:
    CControllerGainsEpos4(void);
    virtual ~CControllerGainsEpos4(void);

    BOOL GetControllerGainIndex(WORD p_usController, WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, EObjectDataType& p_rDataType, CErrorInfo& p_rErrorInfo);

private:
    BOOL GetCurrentControllerGainIndex(WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, EObjectDataType& p_rDataType, CErrorInfo& p_rErrorInfo);
    BOOL GetVelocityControllerGainIndex(WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, EObjectDataType& p_rDataType, CErrorInfo& p_rErrorInfo);
    BOOL GetVelocityControllerGainWithObserverIndex(WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, EObjectDataType& p_rDataType, CErrorInfo& p_rErrorInfo);
    BOOL GetPositionControllerGainIndex(WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, EObjectDataType& p_rDataType, CErrorInfo& p_rErrorInfo);
    BOOL GetDualLoopPositionControllerGainIndex(WORD p_usGain, WORD& p_rusIndex, WORD& p_rusSubIndex, EObjectDataType& p_rDataType, CErrorInfo& p_rErrorInfo);
};
