#pragma once

#include <CommunicationModel/Common/CommunicationModelDefinitions.h>

#include "../Drive/GatewayDriveToEpos4.h"

class CCommandRoot;
class CCommand_VCS;
class CDeviceCommandSetManagerBase;
class CLayerManagerBase;

class CGatewayDrive2ToEpos4: public CGatewayDriveToEpos4
{
public:
    CGatewayDrive2ToEpos4();
    virtual ~CGatewayDrive2ToEpos4();
    CGateway* Clone();
    CGatewayDrive2ToEpos4& operator=(CGatewayDrive2ToEpos4& p_rOther);

    BOOL ProcessCommand(CCommandRoot* p_pCommand, CLayerManagerBase* p_pManager, HANDLE p_hHandle, HANDLE p_hTransactionHandle);

private:
    BOOL ProcessDrive2Command(CCommandRoot* p_pCommand, CLayerManagerBase* p_pManager, HANDLE p_hHandle, HANDLE p_hTransactionHandle);

    BOOL InitErrorHandling();
};

