
#pragma once

#include <CommunicationModel/Common/CommunicationModelDefinitions.h>

#include "../Plc/GatewayPlcToEsam2.h"

class CCommandRoot;
class CCommand_VCS;
class CDeviceCommandSetManagerBase;
class CLayerManagerBase;

class CGatewayPlc2ToEsam2 : public CGatewayPlcToEsam2
{
public:
    CGatewayPlc2ToEsam2();
    virtual ~CGatewayPlc2ToEsam2();
    CGateway* Clone();
    CGatewayPlc2ToEsam2& operator=(CGatewayPlc2ToEsam2& p_rOther);

    BOOL ProcessCommand(CCommandRoot* p_pCommand, CLayerManagerBase* p_pManager, HANDLE p_hHandle, HANDLE p_hTransactionHandle);

private:
    BOOL ProcessPlc2Command(CCommandRoot* p_pCommand, CLayerManagerBase* p_pManager, HANDLE p_hHandle, HANDLE p_hTransactionHandle);

    BOOL InitErrorHandling();
};
