#pragma once

#include <MmcTypeDefinition.h>

class CProtocolStackSettings
{
public:
    BOOL operator==(const CProtocolStackSettings& data) const;
    CProtocolStackSettings& operator=(CProtocolStackSettings& other);
    CProtocolStackSettings(const CProtocolStackSettings& other);
    void Reset();

    CProtocolStackSettings();
    virtual ~CProtocolStackSettings();

    void Init(DWORD dBaudrate,DWORD dTimeout);

    DWORD GetBaudrate();
    DWORD GetTimeout();

    CStdString GetBaudrateString();

private:
    DWORD m_dBaudrate;
    DWORD m_dTimeout;
};
