#pragma once

class CLayerParameterStack;
class CRecorderCmdConfiguration;
class CRecorderCmdManager;
class CRecorderConfigurationEntry;
class CVirtualDeviceCommunicationModel;

class CRecorderConfigurationMap
{
public:
    CRecorderConfigurationMap();
    virtual ~CRecorderConfigurationMap();

    BOOL Init(CRecorderCmdManager* p_pRecorderManager);
    BOOL InitCommunicationModel(CVirtualDeviceCommunicationModel* p_pCommunicationModel);
    BOOL GetRecorderConfiguration(HANDLE p_KeyHandle, CLayerParameterStack& p_rParameterStack, CRecorderCmdConfiguration*& p_rpRecorderConfiguration);
    BOOL FindRecorderConfiguration(HANDLE p_KeyHandle, CLayerParameterStack& p_rParameterStack, CRecorderCmdConfiguration*& p_rpRecorderConfiguration);
    BOOL ResetMap();

private:
    std::list<CRecorderConfigurationEntry*> m_RecorderConfigurationEntryList;
    CVirtualDeviceCommunicationModel* m_pCommunicationModel;
};
