#pragma once

#include <MmcTypeDefinition.h>

class CLayerParameterStack;
class CRecorderCmdManager;

class CRecorderDlgManager
{
public:
    CRecorderDlgManager(void);
    virtual ~CRecorderDlgManager(void);

    void Init(CRecorderCmdManager* p_pRecorderCmdManager);
    CRecorderCmdManager* GetRecorderCmdManager();

    virtual BOOL ShowChannelDataDlg(HANDLE p_KeyHandle, CLayerParameterStack& p_rAddressParameter, DWORD* p_pulErrorCode);
    virtual BOOL ExportChannelDataToFile(HANDLE p_KeyHandle, CLayerParameterStack& p_rAddressParameter, char* p_pbFileName, DWORD* p_pulErrorCode);

private:
    CRecorderCmdManager* m_pRecorderCmdManager;
};
