#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/DeviceCommandSet/ErrorHandlingDeviceCommandSet_Esam2.h>

CErrorHandlingDeviceCommandSet_Esam2::CErrorHandlingDeviceCommandSet_Esam2()
{
}

CErrorHandlingDeviceCommandSet_Esam2::~CErrorHandlingDeviceCommandSet_Esam2()
{
}

BOOL CErrorHandlingDeviceCommandSet_Esam2::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_DEVICE_ESAM2_SEGMENTED_TRANSFER_REQUIRED_INIT_DONE:      *p_pDescription = _T("Segmented Transfer Required"); break;
        case ERROR_DEVICE_ESAM2_DATAHISTORY_BUFFER_OVERRUN:                 *p_pDescription = _T("Data History Buffer Overrun: Please reduce sampling rate or/and number of variables"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
