#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/Interface/ErrorHandlingInterface_CAN.h>

CErrorHandlingInterface_CAN::CErrorHandlingInterface_CAN()
{
}

CErrorHandlingInterface_CAN::~CErrorHandlingInterface_CAN()
{
}

BOOL CErrorHandlingInterface_CAN::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_CAN_RECEIVE_CAN_FRAME:   *p_pDescription = _T("CAN receive frame error"); break;
        case ERROR_CAN_TRANSMIT_CAN_FRAME:  *p_pDescription = _T("CAN transmit frame error"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
