#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/Interface/ErrorHandlingInterface_HID.h>

CErrorHandlingInterface_HID::CErrorHandlingInterface_HID()
{
}

CErrorHandlingInterface_HID::~CErrorHandlingInterface_HID()
{
}

BOOL CErrorHandlingInterface_HID::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_HID_WRITE_DATA:      *p_pDescription = _T("HID write data error"); break;
        case ERROR_HID_READ_DATA:       *p_pDescription = _T("HID read data error"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
