#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/Interface/ErrorHandlingInterface_TwinCAT.h>

CErrorHandlingInterface_TwinCAT::CErrorHandlingInterface_TwinCAT()
{
}

CErrorHandlingInterface_TwinCAT::~CErrorHandlingInterface_TwinCAT()
{
}

BOOL CErrorHandlingInterface_TwinCAT::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_TWINCAT_WRITE_DATA:  *p_pDescription = _T("Error writing TwinCAT-ADS Frame"); break;
        case ERROR_TWINCAT_READ_DATA:   *p_pDescription = _T("Error reading TwinCAT-ADS Frame"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
