#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/Interface/ErrorHandlingInterface_USB.h>

CErrorHandlingInterface_USB::CErrorHandlingInterface_USB()
{
}

CErrorHandlingInterface_USB::~CErrorHandlingInterface_USB()
{
}

BOOL CErrorHandlingInterface_USB::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_USB_WRITE_DATA:  *p_pDescription = _T("USB write data error"); break;
        case ERROR_USB_READ_DATA:   *p_pDescription = _T("USB read data error"); break;
        case ERROR_USB_RESCAN:      *p_pDescription = _T("USB rescanning devices error"); break;
        case ERROR_USB_RELOAD:      *p_pDescription = _T("USB reloading devices error"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
