#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/ProtocolStack/ErrorHandlingProtocolStack_CANopen.h>

CErrorHandlingProtocolStack_CANopen::CErrorHandlingProtocolStack_CANopen()
{
}

CErrorHandlingProtocolStack_CANopen::~CErrorHandlingProtocolStack_CANopen()
{
}

BOOL CErrorHandlingProtocolStack_CANopen::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_CAN_OPEN_SDO_RECEIVE_FRAME_NOT_RECEIVED:     *p_pDescription = _T("SDO response not received"); break;
        case ERROR_CAN_OPEN_REQUESTED_CAN_FRAME_NOT_RECEIVED:   *p_pDescription = _T("Requested CAN frame not received"); break;
        case ERROR_CAN_OPEN_CAN_FRAME_NOT_RECEIVED:             *p_pDescription = _T("CAN frame not received"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
