#pragma once


#include <list>
#include <StdString.h>

#include <CommunicationModel/DeviceCommandSet/Classes/Gateway/Epos2/GatewayEpos2ToMaxonSerialV1.h>
#include <CommunicationModel/DeviceCommandSet/Classes/Gateway/Epos2/GatewayEpos2ToMaxonSerialV2.h>
#include <CommunicationModel/DeviceCommandSet/Classes/Gateway/Epos2/GatewayEpos2ToCANopen.h>

class CDeviceEpos2Factory
{
public:
    static BOOL GetAllIdentifiers(std::list<CStdString>& p_rTargets);
    static BOOL CreateInstance(CStdString p_Name, CGatewayDCStoPS*& p_rpInstance);
};
