#pragma once


#include <list>
#include <StdString.h>

#include <CommunicationModel/DeviceCommandSet/Classes/Devices/Device_Epos.h>
#include <CommunicationModel/DeviceCommandSet/Classes/Devices/Device_Esam.h>
#include <CommunicationModel/DeviceCommandSet/Classes/Devices/Device_Epos2.h>
#include <CommunicationModel/DeviceCommandSet/Classes/Devices/Device_Esam2.h>
#include <CommunicationModel/DeviceCommandSet/Classes/Devices/Device_Epos4.h>

class CDeviceCommandSetFactory
{
public:
    static BOOL GetAllIdentifiers(std::list<CStdString>& p_rTargets);
    static BOOL CreateInstance(CStdString p_Name, CDeviceBase*& p_rpInstance);
};
