#include "stdafx.h"
#include "UsbDeviceInfoFactory.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

BOOL CUsbDeviceInfoFactory::GetAllIdentifiers(std::list<CStdString>& p_rTargets)
{
    BOOL oResult = FALSE;

    p_rTargets.clear();

    p_rTargets.push_back(DRIVER_FTD2XX);
    p_rTargets.push_back(DRIVER_HID);

    oResult = TRUE;

    return oResult;
}

BOOL CUsbDeviceInfoFactory::CreateInstance(CStdString p_Name, CUsbDeviceInfo*& p_rpNewInstance)
{
    BOOL oResult = FALSE;

    if(p_Name.CompareNoCase(DRIVER_FTD2XX) == 0)
    {
        p_rpNewInstance = new CFtd2xxDeviceInfo();
        oResult = TRUE;
    }
    else if(p_Name.CompareNoCase(DRIVER_HID) == 0)
    {
        p_rpNewInstance = new CHidDeviceInfo();
        oResult = TRUE;
    }

    return oResult;
}
