#include "stdafx.h"
#include "InterfaceUsbFactory.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

BOOL CInterfaceUsbFactory::GetAllIdentifiers(std::list<CStdString>& p_rTargets)
{
    BOOL oResult = FALSE;

    p_rTargets.clear();

    p_rTargets.push_back(DRIVER_FTD2XX);
    p_rTargets.push_back(DRIVER_HID);

    oResult = TRUE;

    return oResult;
}

BOOL CInterfaceUsbFactory::CreateInstance(CStdString p_Name, CGatewayIToDrv*& p_rpNewInstance)
{
    BOOL oResult = FALSE;

    if(p_Name.CompareNoCase(DRIVER_FTD2XX) == 0)
    {
        p_rpNewInstance = new CGatewayUSBToFtd2xxDrv();
        oResult = TRUE;
    }
    else if(p_Name.CompareNoCase(DRIVER_HID) == 0)
    {
        p_rpNewInstance = new CGatewayUSBToHidDrv();
        oResult = TRUE;
    }

    return oResult;
}
