#include "stdafx.h"
#include "InterfaceFactory.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

BOOL CInterfaceFactory::GetAllIdentifiers(std::list<CStdString>& p_rTargets)
{
    BOOL oResult = FALSE;

    p_rTargets.clear();

    p_rTargets.push_back(INTERFACE_RS232);
    p_rTargets.push_back(INTERFACE_USB);
    p_rTargets.push_back(INTERFACE_CAN);

    oResult = TRUE;

    return oResult;
}

BOOL CInterfaceFactory::CreateInstance(CStdString p_Name, CInterfaceBase*& p_rpNewInstance)
{
    BOOL oResult = FALSE;

    if(p_Name.CompareNoCase(INTERFACE_RS232) == 0)
    {
        p_rpNewInstance = new CInterface_RS232();
        oResult = TRUE;
    }
    else if(p_Name.CompareNoCase(INTERFACE_USB) == 0)
    {
        p_rpNewInstance = new CInterface_USB();
        oResult = TRUE;
    }
    else if(p_Name.CompareNoCase(INTERFACE_CAN) == 0)
    {
        p_rpNewInstance = new CInterface_CAN();
        oResult = TRUE;
    }

    return oResult;
}
