#include "stdafx.h"
#include "ProtocolStackCANopenToIFactory.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

BOOL CProtocolStackCANopenToIFactory::GetAllIdentifiers(std::list<CStdString>& p_rTargets)
{
    BOOL oResult = FALSE;

    p_rTargets.clear();

    p_rTargets.push_back(PROTOCOL_CAN_OPEN);
    p_rTargets.push_back(INTERFACE_CAN);

    oResult = TRUE;

    return oResult;
}

BOOL CProtocolStackCANopenToIFactory::CreateInstance(CStdString p_Name, CGatewayPStoI*& p_rpNewInstance)
{
    BOOL oResult = FALSE;

    if(p_Name.CompareNoCase(PROTOCOL_CAN_OPEN) == 0)
    {
        p_rpNewInstance = new CGatewayCANopenToI();
        oResult = TRUE;
    }
    else if(p_Name.CompareNoCase(INTERFACE_CAN) == 0)
    {
        p_rpNewInstance = new CGatewayCANopenToCAN();
        oResult = TRUE;
    }

    return oResult;
}
