#pragma once


#include <list>
#include <StdString.h>

#include <CommunicationModel/ProtocolStack/Classes/ProtocolStacks/ProtocolStack_MaxonSerialV1.h>
#include <CommunicationModel/ProtocolStack/Classes/ProtocolStacks/ProtocolStack_MaxonSerialV2.h>
#include <CommunicationModel/ProtocolStack/Classes/ProtocolStacks/ProtocolStack_CANopen.h>
#include <CommunicationModel/ProtocolStack/Classes/ProtocolStacks/ProtocolStack_InfoteamSerial.h>

class CProtocolStackFactory
{
public:
    static BOOL GetAllIdentifiers(std::list<CStdString>& p_rTargets);
    static BOOL CreateInstance(CStdString p_Name, CProtocolStackBase*& p_rpInstance);
};
