#include "stdafx.h"

#include <CommunicationModel/VirtualCommandSet/BaseClasses/VirtualCommandSet_ManagerBase.h>

CVirtualCommandSet_ManagerBase::CVirtualCommandSet_ManagerBase()
{
    m_eLayer = VIRTUAL_COMMAND_SET_LAYER;
}

CVirtualCommandSet_ManagerBase::CVirtualCommandSet_ManagerBase(int p_lInstanceValue)
: CLayerManagerBase(p_lInstanceValue)
{
    m_eLayer = VIRTUAL_COMMAND_SET_LAYER;
}

CVirtualCommandSet_ManagerBase::CVirtualCommandSet_ManagerBase(const CVirtualCommandSet_ManagerBase& rObject)
{
    m_eLayer = VIRTUAL_COMMAND_SET_LAYER;
}

CVirtualCommandSet_ManagerBase* CVirtualCommandSet_ManagerBase::Clone()
{
    return NULL;
}

CVirtualCommandSet_ManagerBase::~CVirtualCommandSet_ManagerBase()
{
}

BOOL CVirtualCommandSet_ManagerBase::VCS_InitVirtualDevice(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_InitVirtualDevice(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, CStdString p_driverName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_InitVirtualGatewayDevice(CStdString p_virtualDeviceName, CStdString p_deviceName, CStdString p_protocolStackName, CStdString p_gatewayDeviceName, CStdString p_gatewayProtocolStackName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_InitBaudrateSelection(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, CStdDWordArray& p_rulBaudrateSel, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_InitDefaultProtocolStackSettings(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, DWORD p_ulBaudrate, DWORD p_ulTimeout, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

HANDLE CVirtualCommandSet_ManagerBase::VCS_OpenVirtualDevice(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, CStdString p_portName, CErrorInfo* p_pErrorInfo)
{
    return 0;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_CloseVirtualDevice(HANDLE p_hVCS_Handle, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_CloseAllVirtualDevices(CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

HANDLE CVirtualCommandSet_ManagerBase::VCS_OpenVirtualDevice(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, HANDLE p_hPS_BaseLayerHandle, CErrorInfo* p_pErrorInfo)
{
    return 0;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_CloseVirtualDevice(HANDLE p_hVCS_Handle, HANDLE p_hPS_BaseLayerHandle, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_CloseAllVirtualDevices(HANDLE p_hPS_BaseLayerHandle, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_AreAllVirtualDevicesClosed()
{
    return FALSE;
}

HANDLE CVirtualCommandSet_ManagerBase::VCS_OpenVirtualDevice(CStdString p_virtualDeviceName, CStdString p_deviceName, CStdString p_protocolStackName, HANDLE p_hVirtualCommandSet, CErrorInfo* p_pErrorInfo)
{
    return 0;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_RemoveAllVirtualDevices(HANDLE p_hVirtualCommandSet, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::SetParameter(EParameterType p_eParameterType, HANDLE p_hVCS_Handle, CStdString p_Name, BYTE* p_pValue, DWORD p_ulSize, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::SetParameter(EParameterType p_eParameterType, HANDLE p_hVCS_Handle, CStdString p_Name, CStdString p_Value, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::GetParameter(EParameterType p_eParameterType, HANDLE p_hVCS_Handle, CStdString p_Name, BYTE* p_pValue, DWORD p_ulSize, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::GetParameter(EParameterType p_eParameterType, HANDLE p_hVCS_Handle, CStdString p_Name, CStdString& p_rValue, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetKeyHandle(CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, CStdString p_portName, HANDLE* p_p_pVCSKeyHandle, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetKeyHandle(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_strInterfaceName, CStdString p_strPortName, HANDLE* p_pVCSKeyHandle, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetKeyHandle(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CLayerParameterStack& p_rAddressParameter, HANDLE* p_pVCSKeyHandle, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetGatewayKeyHandle(HANDLE p_hVCS_Handle, HANDLE* p_phVCS_GatewayHandle, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetBaseLayerKeyHandle(HANDLE p_hVCS_Handle,HANDLE* p_phPS_BaseLayerKeyHandle,CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetVirtualDeviceNameSelection(CStdStringArray* p_pVirtualDeviceNameSel, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetDeviceNameSelection(CStdString p_strVirtualDeviceName, CStdStringArray* p_pDeviceNameSel, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetProtocolStackNameSelection(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdStringArray* p_pProtocolStackNameSel, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetInterfaceNameSelection(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdStringArray* p_pInterfaceNameSel, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetPortNameSelection(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, CStdStringArray* p_pPortSel, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetBaudrateSelection(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, CStdString p_portName, CStdDWordArray* p_pulBaudrateSel, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_ResetPortEnumeration(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_strInterfaceName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetProtocolStackSettings(HANDLE p_hVCS_Handle, DWORD* p_pulBaudrate, DWORD* p_pulTimeout, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_SetProtocolStackSettings(HANDLE p_hVCS_Handle, DWORD p_ulBaudrate, DWORD p_ulTimeout, BOOL p_oChangeOnly, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetVirtualDeviceName(HANDLE p_hVCS_Handle, CStdString* p_pDeviceName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetDeviceName(HANDLE p_hVCS_Handle, CStdString* p_pDeviceName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetProtocolStackName(HANDLE p_hVCS_Handle, CStdString* p_pProtocolStackName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetInterfaceName(HANDLE p_hVCS_Handle, CStdString* p_pInterfaceName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetPortName(HANDLE p_hVCS_Handle, CStdString* p_pPortName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::ExecuteCommand(CCommandRoot* p_pCommand, HANDLE p_hHandle, HANDLE p_hTransactionHandle)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::GetCommands(HANDLE p_hHandle, ELayer p_eLayer, CStdString* p_pCommandInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::GetLayerManager(HANDLE p_hHandle, ELayer p_eLayer, CLayerManagerBase** p_ppLayerManager, HANDLE* p_pLayerHandle)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::SetInterfaceManager(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CInterfaceManagerBase* p_pInterfaceManager)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::GetInterfaceManager(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, CInterfaceManagerBase** p_ppInterfaceManager)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::RemoveInterfaceManager(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CInterfaceManagerBase* p_pInterfaceManager)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::SetProtocolStackManager(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CProtocolStackManagerBase* p_pProtocolStackManager)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::GetProtocolStackManager(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CProtocolStackManagerBase** p_ppProtocolStackManager)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::RemoveProtocolStackManager(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CProtocolStackManagerBase* p_pProtocolStackManager)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::SetDeviceCommandSetManager(CStdString p_strVirtualDeviceName, CDeviceCommandSetManagerBase* p_pDeviceCommandSetManager)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::GetDeviceCommandSetManager(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CDeviceCommandSetManagerBase** p_ppDeviceCommandSetManager)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::RemoveDeviceCommandSetManager(CStdString p_strVirtualDeviceName, CDeviceCommandSetManagerBase* p_ppDeviceCommandSetManager)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::VCS_GetDefaultProtocolStackSettings(CStdString p_strVirtualDeviceName, CStdString p_strDeviceName, CStdString p_strProtocolStackName, CStdString p_interfaceName, DWORD* p_pulBaudrate, DWORD* p_pulTimeout, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::EnableTracing(HANDLE hDCS_Handle, CStdString p_TracingFileName, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}

BOOL CVirtualCommandSet_ManagerBase::DisableTracing(HANDLE hDCS_Handle, CErrorInfo* p_pErrorInfo)
{
    return FALSE;
}
