#include "stdafx.h"
#include "VirtualDeviceDrive2Factory.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

BOOL CVirtualDeviceDrive2Factory::GetAllIdentifiers(std::list<CStdString>& p_rTargets)
{
    BOOL oResult = FALSE;

    p_rTargets.clear();

    p_rTargets.push_back(DEVICE_EPOS);
    p_rTargets.push_back(DEVICE_EPOS2);
    p_rTargets.push_back(DEVICE_EPOS4);

    oResult = TRUE;

    return oResult;
}

BOOL CVirtualDeviceDrive2Factory::CreateInstance(CStdString p_Name, CGatewayVCStoDCS*& p_rpNewInstance)
{
    BOOL oResult = FALSE;

    if(p_Name.CompareNoCase(DEVICE_EPOS) == 0)
    {
        p_rpNewInstance = new CGatewayDrive2ToEpos();
        oResult = TRUE;
    }
    else if(p_Name.CompareNoCase(DEVICE_EPOS2) == 0)
    {
        p_rpNewInstance = new CGatewayDrive2ToEpos2();
        oResult = TRUE;
    }
    else if(p_Name.CompareNoCase(DEVICE_EPOS4) == 0)
    {
        p_rpNewInstance = new CGatewayDrive2ToEpos4();
        oResult = TRUE;
    }

    return oResult;
}
