#pragma once


#include <list>
#include <StdString.h>

#include <CommunicationModel/VirtualCommandSet/Classes/VirtualDevices/VirtualDevice_Drive.h>
#include <CommunicationModel/VirtualCommandSet/Classes/VirtualDevices/VirtualDevice_Drive2.h>
#include <CommunicationModel/VirtualCommandSet/Classes/VirtualDevices/VirtualDevice_Plc.h>
#include <CommunicationModel/VirtualCommandSet/Classes/VirtualDevices/VirtualDevice_Plc2.h>

class CVirtualCommandSetFactory
{
public:
    static BOOL GetAllIdentifiers(std::list<CStdString>& p_rTargets);
    static BOOL CreateInstance(CStdString p_Name, CVirtualDeviceBase*& p_rpInstance);
};
