#pragma once

#include "UsbDeviceBase.h"

class CUsbDevices;

class CUsbHub: public CUsbDeviceBase
{
public:
    CUsbHub(BOOL p_oRootHub);
    virtual ~CUsbHub(void);

    virtual CUsbDeviceBase* Clone();
    virtual BOOL IsUsbHub();
    CUsbHub& operator=(CUsbHub& p_rOther);

    void Init(DWORD p_ulIndex, CStdString p_devicePath, DWORD p_ulPortCount);

    DWORD GetPortCount();

protected:
    virtual CStdString BuildPortChain();
  
private:
    BOOL m_oIsRootHub;
    DWORD m_ulPortCount;
};

