#pragma once

#include <MmcTypeDefinition.h>

#include "../BaseClasses/UsbDeviceInfo.h"

class CHidDeviceInfo: public CUsbDeviceInfo
{
public:
    CHidDeviceInfo(void);
    virtual ~CHidDeviceInfo(void);

    CHidDeviceInfo& operator=(CHidDeviceInfo& p_rOther);
    virtual CUsbDeviceInfo* Clone();

    //Class Infos
    virtual void InitClassInfo() { m_strClassType = _T("-CHidDeviceInfo") + m_strClassType;}

    //Initialisation
    BOOL Init(CUsbDeviceInfo& p_rDeviceInfo);
    BOOL Init(CStdString p_PortChain, CStdString p_DevicePath, WORD p_usVendorId, WORD p_usProductId, CStdString p_SerialNumber);

    //Update
    BOOL Update(CUsbDeviceInfo& p_rDeviceInfo);

    //Log Infos
    BOOL GetLogInfos(CStdString& p_rInfos, ELogInfoType p_eType);   
};
