#pragma once

#include <StdString.h>
#include "../Log/Message/LogMessageLevel.h"
#include "MessageLevelDefinitions.h"

class CCommunicationMessageLevel : public CLogMessageLevel
{
public:
    CCommunicationMessageLevel();
    CCommunicationMessageLevel(ECommunicationMessageLevel p_eLevel);
    virtual ~CCommunicationMessageLevel();

    CStdString ToString();

    static bool IsMatching(CStdString p_uniqueId, ECommunicationMessageLevel& p_reMessageLevel);

private:
    CStdString ConvertToUniqueId(ECommunicationMessageLevel p_eLevel);

private:
    ECommunicationMessageLevel m_eLevel;
};
