// MmcFileInfo.h: Schnittstelle für die Klasse CMmcFileInfo.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include <StdString.h>
#include <MmcTypeDefinition.h>

class CMmcFileInfo
{
public:
    static CStdString GetComments(CStdString p_Filename);
    static CStdString GetCompanyName(CStdString p_Filename);
    static CStdString GetFileDescription(CStdString p_Filename);
    static CStdString GetFileVersion(CStdString p_Filename);
    static CStdString GetInternalName(CStdString p_Filename);
    static CStdString GetLanguageAndCodePage(CStdString p_Filename);
    static CStdString GetLegalCopyright(CStdString p_Filename);
    static CStdString GetLegalTrademarks(CStdString p_Filename);
    static CStdString GetOriginalFilename(CStdString p_Filename);
    static CStdString GetProductName(CStdString p_Filename);
    static CStdString GetProductVersion(CStdString p_Filename);
    static CStdString GetVersionInfo(CStdString p_Filename, CStdString p_strKey);
    static CStdString GetProgramVersion(CStdString p_fileName, BOOL p_oShowRevision, BOOL p_oShowBeta);

private:
    static void Initialize(CStdString p_Filename);
    static void Cleanup();

private:
    static TCHAR* m_pData;
    static unsigned int m_refCount;
};
