#ifndef _MMCUSERSETIINGS_DEF
#define _MMCUSERSETIINGS_DEF

#include <list>
#include <StdString.h>

class CMmcUserSettingsDef
{
public:
    CMmcUserSettingsDef();
    CMmcUserSettingsDef(CStdString p_Key, bool p_oCreateKey);
    CMmcUserSettingsDef(CMmcUserSettingsDef *p_pParent, CStdString p_Key, bool p_oCreateKey);
    virtual ~CMmcUserSettingsDef();

public:
    CMmcUserSettingsDef*            GetParent();
    void*                           GetKey();
    CStdString                      GetKeyName();
        
    virtual unsigned long           ReadULONG(CStdString p_Key) = 0;
    virtual CStdString              ReadString(CStdString p_Key) = 0;
    virtual bool                    Write(CStdString p_Key, CStdString value) = 0;
    virtual bool                    Write(CStdString p_Key, unsigned long value) = 0;
    virtual bool                    Delete(CStdString p_Key, bool deep=true) = 0;
    virtual std::list<CStdString>   GetChildrenNames() = 0;

protected:
    CMmcUserSettingsDef*    m_pParent;
    CStdString              m_Root;
    void*                   m_pRootKey;
};

#endif //_MMCUSERSETIINGS_DEF
