#pragma once

#include <MmcTypeDefinition.h>
#include <Events/IEventsBase.h>
#include <Thread/Definitions/ThreadBaseDefinitions.h>

class CMmcThreadBase;

class CIThreadBaseEvents : public CIEventsBase
{
public:
    virtual ~CIThreadBaseEvents(void) {};

    //Events
    virtual BOOL OnThreadBaseStateChanged(CMmcThreadBase* p_pEventSource, EThreadBaseState p_OldState, EThreadBaseState p_NewState) = 0;
    virtual BOOL OnThreadBasePriorityChanged(CMmcThreadBase* p_pEventSource, int p_OldPriority, int p_lNewPriority) = 0;
};