#pragma once

#include <StdString.h>
#include <Events/EventsSourceBase.h>
#include <Thread/Definitions/ThreadBaseDefinitions.h>

class CMmcThreadBase;

class CThreadBaseEventsSource: public CEventsSourceBase
{
public:
    CThreadBaseEventsSource();
    virtual ~CThreadBaseEventsSource(void);

    //Initialisation
    void InitThreadBase(CMmcThreadBase* p_pThreadBase);

    //Events
    BOOL SendEventStateChanged(CMmcThreadBase* p_pEventSource, EThreadBaseState p_NewState);
    BOOL SendEventPriorityChanged(CMmcThreadBase* p_pEventSource, int p_lNewPriority);

private:
    CMmcThreadBase * m_pThreadBase;
    EThreadBaseState m_OldState;
    int m_lOldPriority;
};