#pragma once

#ifdef _WIN32
    #include "../../../Win/include/Thread/MmcSingleLockWin.h"
    typedef CMmcSingleLockWin CMmcSingleLockBase;
#else
#include "../../../Linux/include/Thread/MmcSingleLockLinux.h"
    typedef CMmcSingleLockLinux CMmcSingleLockBase;
#endif

class CMmcSingleLock : public CMmcSingleLockBase
{
public:
    CMmcSingleLock(CMmcCriticalSection* p_pCriticalSection, bool p_oInitialLock = false);
    CMmcSingleLock(CMmcSemaphore* p_pObject, bool p_oInitialLock = false);

    virtual ~CMmcSingleLock();
};
