#include "stdafx.h"

#include <Drv/Helper/UsbTree/UsbDevices.h>

#include <Drv/Helper/UsbTree/UsbTreeFactoryDef.h>

CUsbTreeFactoryDef::CUsbTreeFactoryDef()
    : m_pUsbDevices(0)
{
}

CUsbTreeFactoryDef::~CUsbTreeFactoryDef()
{
}

CUsbDevices* CUsbTreeFactoryDef::GetDevices()
{
    return m_pUsbDevices;
}

BOOL CUsbTreeFactoryDef::LoadUsbDevices()
{
    BOOL oResult(FALSE);
    CUsbDevices* pUsbDevices(0);

    DeleteUsbDevices();

    pUsbDevices = new CUsbDevices();
    if(pUsbDevices->Load())
    {
        m_pUsbDevices = pUsbDevices;
        oResult = TRUE;
    }
    else
    {
        delete pUsbDevices;
    }

    return oResult;
}

void CUsbTreeFactoryDef::DeleteUsbDevices()
{
    if(m_pUsbDevices)
    {
        delete m_pUsbDevices;
        m_pUsbDevices = 0;
    }
}
