#include "stdafx.h"
#include <Log/MmcLog/Log/Message/LogMessage.h>
#include <Log/MmcLog/Log/Message/LogMessageLevel.h>
#include <Log/MmcLog/Log/Message/Format/LevelLogFormatMaskType.h>

CLevelLogFormatMaskType::CLevelLogFormatMaskType(CLogMessage* p_pLogMessage)
{
    m_pLogMessage = p_pLogMessage;

    SetMaskType(FMT_LEVEL);
}

CLevelLogFormatMaskType::~CLevelLogFormatMaskType()
{
}

CStdString CLevelLogFormatMaskType::ToString()
{
    CStdString result;
    CLogMessageLevel* pLevel = 0;

    if(m_pLogMessage)
    {
        pLevel = m_pLogMessage->GetLevel();

        if(pLevel)
        {
            result = pLevel->GetUniqueId();
        }
    }

    return result;
}
