#include "stdafx.h"
#include <Log/MmcLog/Log/Message/LogMessage.h>
#include <Log/MmcLog/Log/Message/Format/MessageLogFormatMaskType.h>

CMessageLogFormatMaskType::CMessageLogFormatMaskType(CLogMessage* p_pLogMessage)
{
    m_pLogMessage = p_pLogMessage;

    SetMaskType(FMT_MESSAGE);
}

CMessageLogFormatMaskType::~CMessageLogFormatMaskType()
{
}

CStdString CMessageLogFormatMaskType::RemoveNewLineCharacter(const CStdString& p_rMsg)
{
    CStdString result = p_rMsg;

    result.Remove('\n');
    result.Remove('\r');

    return result;
}

CStdString CMessageLogFormatMaskType::ToString()
{
    CStdString result;

    if(m_pLogMessage)
    {
        result = m_pLogMessage->GetMessage();

        result = RemoveNewLineCharacter(result);
    }

    return result;
}
