#include "stdafx.h"
#include <Process/MmcProcess.h>

#include <Log/MmcLog/Log/Message/Format/ProcessIdLogFormatMaskType.h>

CProcessIdLogFormatMaskType::CProcessIdLogFormatMaskType()
{
    SetMaskType(FMT_PID);
}

CProcessIdLogFormatMaskType::~CProcessIdLogFormatMaskType()
{
}

CStdString CProcessIdLogFormatMaskType::ToString()
{
    CStdString result;
    unsigned long ulProcessId = MmcGetCurrentProcessId();

    result.Format(_T("P:%ld"), ulProcessId);

    return result;
}
