#include "stdafx.h"
#include <Process/MmcProcess.h>

#include <Log/MmcLog/Log/Message/Format/ThreadIdLogFormatMaskType.h>

CThreadIdLogFormatMaskType::CThreadIdLogFormatMaskType()
{
    SetMaskType(FMT_TID);
}

CThreadIdLogFormatMaskType::~CThreadIdLogFormatMaskType()
{
}

CStdString CThreadIdLogFormatMaskType::ToString()
{
    CStdString result;
    unsigned long ulThreadId = MmcGetCurrentThreadId();

    result.Format(_T("T:%ld"), ulThreadId);

    return result;
}
