#include "stdafx.h"
#include <Log/MmcLog/Log/Message/LogMessage.h>
#include <Log/MmcLog/Log/Message/Format/TypeLogFormatMaskType.h>

CTypeLogFormatMaskType::CTypeLogFormatMaskType(CLogMessage* p_pLogMessage)
{
    m_pLogMessage = p_pLogMessage;

    SetMaskType(FMT_TYPE);
}

CTypeLogFormatMaskType::~CTypeLogFormatMaskType()
{
}

CStdString CTypeLogFormatMaskType::ToString()
{
    CStdString result;

    if(m_pLogMessage)
    {
        switch(m_pLogMessage->GetType())
        {
            case LMT_INFO:
            {
                result = _T("Info");
                break;
            }
            case LMT_ERROR:
            {
                result = _T("Error");
                break;
            }
            case LMT_WARNING:
            {
                result = _T("Warning");
                break;
            }
            case LMT_DEBUG:
            {
                result = _T("Debug");
                break;
            }
            case LMT_EXCEPTION:
            {
                result = _T("Exception");
                break;
            }
            default:
            {
                result = _T("Unknown");
                break;
            }
        }
    }

    return result;
}
