#include "stdafx.h"
#include <Storage/MmcUserSettings.h>

CMmcUserSettings::CMmcUserSettings()
    : CMmcUserSettingsBase()
{
}

CMmcUserSettings::CMmcUserSettings(CStdString p_Key, bool p_oCreateKey)
    : CMmcUserSettingsBase(p_Key, p_oCreateKey)
{
}

CMmcUserSettings::CMmcUserSettings(CMmcUserSettings *p_pParent, CStdString p_Key, bool p_oCreateKey)
    : CMmcUserSettingsBase(p_pParent, p_Key, p_oCreateKey)
{
}

CMmcUserSettings::~CMmcUserSettings()
{
}

std::list<CMmcUserSettings*> CMmcUserSettings::GetChildren()
{
    std::list<CMmcUserSettings*> result;
    std::list<CStdString> childrenNames = GetChildrenNames();

    for(std::list<CStdString>::iterator it = childrenNames.begin(); it!=childrenNames.end(); it++)
    {
        result.push_back(new CMmcUserSettings(this, (*it), false));
    }

    return result;
}
