#ifndef CLINUXUSBDIRECTORY_H
#define CLINUXUSBDIRECTORY_H

#include "StdString.h"

class CLinuxUsbDirectory
{
public:
    CLinuxUsbDirectory();
    CLinuxUsbDirectory(CStdString p_FileName);
    CLinuxUsbDirectory(CStdString p_FileName, CStdString p_TargetFileName);
    virtual ~CLinuxUsbDirectory();
    
    CStdString GetFileName();
    CStdString GetTargetFileName();
    
    void SetFileName(CStdString p_FileName);
    void SetTargetFileName(CStdString p_FileName);
    void SetParsed(bool p_oParsed);
    bool IsParsed();
    
private:
    CStdString m_FileName;
    CStdString m_TargetFileName;
    bool m_oParsed;
};

#endif // CLINUXUSBDIRECTORY_H
