#pragma once

#include <StdString.h>

class CSocketCANDevice
{
public:
	CSocketCANDevice();
	virtual ~CSocketCANDevice();

	bool Init(CStdString p_CanPort);

	CStdString GetCanPort();
	CStdString GetAddress();
	CStdString GetDriver();
	CStdString GetDriverType();
	CStdString GetInterface();

private:
	bool ReadAddressInfo(CStdString p_CanPort);
	bool ReadDriverInfo(CStdString p_CanPort);
	bool IsDriverMatchingDevice(CStdString p_CanPort, CStdString p_AddressPath);
	bool SearchAddressDir(CStdString p_RootDir, CStdString p_DirToFind, CStdString p_SkipDir, CStdString& p_ResultDir);

	CStdString m_CanPort;
	CStdString m_Address;
	CStdString m_DriverPath;
	CStdString m_Driver;
	CStdString m_DriverType;
};
