#pragma once

#include <StdString.h>

class CSocketCANDevice;

class CSocketCANPort
{
public:
	CSocketCANPort();
	CSocketCANPort(CStdString p_Name);
	virtual ~CSocketCANPort();

	bool Init();
	CSocketCANDevice* GetDevice();
	CStdString GetName();
	CStdString GetOperstate();

private:
	CStdString m_Name;
	CStdString m_Operstate;
	CSocketCANDevice* m_pDevice;

private:
	bool ReadCanPortOperState();
	bool ReadCanDeviceInfo();
	void DeleteDeviceInfo();
};
