#pragma once

#include <pthread.h>
#include "../../include/Thread/MmcSyncObjectLinux.h"

class CMmcCriticalSectionLinux : public CMmcSyncObjectLinux
{
public:
    CMmcCriticalSectionLinux();
    virtual ~CMmcCriticalSectionLinux();

    bool InitialLock();
    bool Lock(unsigned int p_lTimeout = 0);
	bool Unlock();

    operator pthread_mutex_t* ();

private:
    bool FastLock();
    bool TimedLock(unsigned int p_ulTimeout);

private:
    pthread_mutex_t m_sync;
};
