#pragma once

class CMmcCriticalSection;
class CMmcSemaphore;
class CMmcSyncObjectLinux;

class CMmcSingleLockLinux
{
public:
	CMmcSingleLockLinux(CMmcCriticalSection* p_pSyncObject, bool p_oInitialLock);
	CMmcSingleLockLinux(CMmcSemaphore* p_pSyncObject, bool p_oInitialLock);
    virtual ~CMmcSingleLockLinux();

    bool Lock(unsigned int timeout=0);
    bool Unlock();
    bool IsLocked();

private:
    void InitialLock();

private:
    CMmcSyncObjectLinux* m_pSyncObject;
    bool m_oAcquired;
};
