#pragma once

const CStdString LSS_SCANNING_METHOD_NAME(_T("LSS Method"));

// Command specifiers
const BYTE CIA305_SWITCH_STATE_GLOBAL_PROTOCOL_COMMAND_SPECIFIER_MODE = 4;

const BYTE CIA305_SWITCH_STATE_SELECTIVE_PROTOCOL_COMMAND_SPECIFIER_VENDOR_ID = 64;
const BYTE CIA305_SWITCH_STATE_SELECTIVE_PROTOCOL_COMMAND_SPECIFIER_PRODUCT_CODE = 65;
const BYTE CIA305_SWITCH_STATE_SELECTIVE_PROTOCOL_COMMAND_SPECIFIER_REVISION_NUMBER = 66;
const BYTE CIA305_SWITCH_STATE_SELECTIVE_PROTOCOL_COMMAND_SPECIFIER_SERIAL_NUMBER = 67;
const BYTE CIA305_SWITCH_STATE_SELECTIVE_PROTOCOL_COMMAND_SPECIFIER_RESPONSE = 68;

const BYTE CIA305_IDENTIFY_REMOTE_SLAVE_PROTOCOL_COMMAND_SPECIFIER_VENDOR_ID = 70;
const BYTE CIA305_IDENTIFY_REMOTE_SLAVE_PROTOCOL_COMMAND_SPECIFIER_PRODUCT_CODE = 71;
const BYTE CIA305_IDENTIFY_REMOTE_SLAVE_PROTOCOL_COMMAND_SPECIFIER_REVISION_NUMBER_LOW = 72;
const BYTE CIA305_IDENTIFY_REMOTE_SLAVE_PROTOCOL_COMMAND_SPECIFIER_REVISION_NUMBER_HIGH = 73;
const BYTE CIA305_IDENTIFY_REMOTE_SLAVE_PROTOCOL_COMMAND_SPECIFIER_SERIAL_NUMBER_LOW = 74;
const BYTE CIA305_IDENTIFY_REMOTE_SLAVE_PROTOCOL_COMMAND_SPECIFIER_SERIAL_NUMBER_HIGH = 75;

const BYTE CIA305_IDENTIFY_SLAVE_PROTOCOL_COMMAND_SPECIFIER_RESPONSE = 79;
