///////////////////////////////////////////////////////////
//Command_VCS_Configuration_Definitions.h
//
//Project:CommonWinLib
//Author:Software team
//DateofCreation:14.08.2015
//
//Description:
//
//Copyright2015,maxonmotorag.
//Allrightsreserved.
///////////////////////////////////////////////////////////

#pragma once

//Command IDs
    //Position regulator
    const DWORD    CONF_SET_POSITION_REGULATOR_GAIN                 = 0x00020001;
    const DWORD    CONF_GET_POSITION_REGULATOR_GAIN                 = 0x00020002;
    const DWORD    CONF_SET_POSITION_REGULATOR_FEED_FORWARD         = 0x00020003;
    const DWORD    CONF_GET_POSITION_REGULATOR_FEED_FORWARD         = 0x00020004;

    //Velocity regulator
    const DWORD    CONF_SET_VELOCITY_REGULATOR_GAIN                 = 0x00020011;
    const DWORD    CONF_GET_VELOCITY_REGULATOR_GAIN                 = 0x00020012;
    const DWORD    CONF_SET_VELOCITY_REGULATOR_FEED_FORWARD         = 0x00020013;
    const DWORD    CONF_GET_VELOCITY_REGULATOR_FEED_FORWARD         = 0x00020014;

    //Current regulator
    const DWORD    CONF_SET_CURRENT_REGULATOR_GAIN                  = 0x00020021;
    const DWORD    CONF_GET_CURRENT_REGULATOR_GAIN                  = 0x00020022;

    //Safety
    const DWORD    CONF_SET_MAX_FOLLOWING_ERROR                     = 0x00020031;
    const DWORD    CONF_GET_MAX_FOLLOWING_ERROR                     = 0x00020032;
    const DWORD    CONF_SET_MAX_PROFILE_VELOCITY                    = 0x00020033;
    const DWORD    CONF_GET_MAX_PROFILE_VELOCITY                    = 0x00020034;
    const DWORD    CONF_SET_MAX_ACCELERATION                        = 0x00020035;
    const DWORD    CONF_GET_MAX_ACCELERATION                        = 0x00020036;

    //Units
    const DWORD    CONF_SET_VELOCITY_UNITS                          = 0x00020041;
    const DWORD    CONF_GET_VELOCITY_UNITS                          = 0x00020042;

    //Motor
    const DWORD    CONF_SET_MOTOR_PARAMETER                         = 0x00020051;
    const DWORD    CONF_GET_MOTOR_PARAMETER                         = 0x00020052;
    const DWORD    CONF_SET_MOTOR_TYPE                              = 0x00020053;
    const DWORD    CONF_GET_MOTOR_TYPE                              = 0x00020054;
    const DWORD    CONF_SET_DC_MOTOR_PARAMETER                      = 0x00020055;
    const DWORD    CONF_GET_DC_MOTOR_PARAMETER                      = 0x00020056;
    const DWORD    CONF_SET_EC_MOTOR_PARAMETER                      = 0x00020057;
    const DWORD    CONF_GET_EC_MOTOR_PARAMETER                      = 0x00020058;

    //Sensor
    const DWORD    CONF_SET_ENCODER_PARAMETER                       = 0x00020061;
    const DWORD    CONF_GET_ENCODER_PARAMETER                       = 0x00020062;
    const DWORD    CONF_SET_SENSOR_TYPE                             = 0x00020063;
    const DWORD    CONF_GET_SENSOR_TYPE                             = 0x00020064;
    const DWORD    CONF_SET_INC_ENCODER_PARAMETER                   = 0x00020065;
    const DWORD    CONF_GET_INC_ENCODER_PARAMETER                   = 0x00020066;
    const DWORD    CONF_SET_HALL_SENSOR_PARAMETER                   = 0x00020067;
    const DWORD    CONF_GET_HALL_SENSOR_PARAMETER                   = 0x00020068;
    const DWORD    CONF_SET_SSI_ABS_ENCODER_PARAMETER               = 0x00020069;
    const DWORD    CONF_GET_SSI_ABS_ENCODER_PARAMETER               = 0x00020070;
    const DWORD    CONF_GET_MAIN_SENSOR_RESOLUTION                  = 0x00020071;
    const DWORD    CONF_GET_SSI_ABS_ENCODER_PARAMETER_EX            = 0x00020072;
    const DWORD    CONF_SET_SSI_ABS_ENCODER_PARAMETER_EX            = 0x00020073;
    const DWORD    CONF_GET_AUXILIARY_SENSOR_RESOLUTION             = 0x00020074;

    //Controller gains
    const DWORD    CONF_SET_CONTROLLER_GAIN                         = 0x00020081;
    const DWORD    CONF_GET_CONTROLLER_GAIN                         = 0x00020082;

