
#pragma once

//Command IDs
    //DataRecorder Setup
    const DWORD     REC_SET_RECORDER_PARAMETER              = 0x00030001;
    const DWORD     REC_GET_RECORDER_PARAMETER              = 0x00030002;
    const DWORD     REC_ENABLE_TRIGGER                      = 0x00030003;
    const DWORD     REC_DISABLE_ALL_TRIGGERS                = 0x00030004;
    const DWORD     REC_ACTIVATE_CHANNEL                    = 0x00030005;
    const DWORD     REC_DEACTIVATE_ALL_CHANNELS             = 0x00030006;
    const DWORD     REC_ACTIVE_CHANNEL                      = 0x00030007;
    const DWORD     REC_GET_VARIABLE                        = 0x00030008;
    const DWORD     REC_GET_MAX_NUMBER_OF_SAMPLES           = 0x00030009;
    const DWORD     REC_GET_NUMBER_OF_RECORDED_SAMPLES      = 0x0003000A;
    const DWORD     REC_SET_NUMBER_OF_PRECEDING_SAMPLES     = 0x0003000B;
    const DWORD     REC_GET_NUMBER_OF_PRECEDING_SAMPLES     = 0x0003000C;
    const DWORD     REC_GET_NUMBER_OF_SAMPLING_VARIABLES    = 0x0003000D;
    const DWORD     REC_GET_SAMPLING_PERIOD                 = 0x0003000E;

    //DataRecorder Status
    const DWORD     REC_START_RECORDER                      = 0x00030011;
    const DWORD     REC_STOP_RECORDER                       = 0x00030012;
    const DWORD     REC_FORCE_TRIGGER                       = 0x00030013;
    const DWORD     REC_IS_RECORDER_RUNNING                 = 0x00030014;
    const DWORD     REC_IS_RECORDER_TRIGGERED               = 0x00030015;
    const DWORD     REC_GET_RECORDER_STATUS                 = 0x00030016;
    const DWORD     REC_SET_RECORDER_CONFIGURATION          = 0x00030017;
    const DWORD     REC_GET_RECORDER_CONFIGURATION          = 0x00030018;

    //DataRecorder Data
    const DWORD     REC_READ_CHANNEL_VECTOR_SIZE            = 0x00030021;
    const DWORD     REC_READ_CHANNEL_DATA_VECTOR            = 0x00030022;
    const DWORD     REC_GET_VECTOR_START_OFFSET             = 0x00030023;

    //DataRecorder Advanced
    const DWORD     REC_READ_DATA_BUFFER                    = 0x00030031;
