#pragma once

#include <CommunicationModel/CommonLayer/Classes/Commands/VirtualCommandSet/BaseClasses/Command_VCS.h>
#include "Command_VCS_Firmware_Definitions.h"

class CCommand_VCS_Firmware : public CCommand_VCS
{
public:
    CCommand_VCS_Firmware();
    CCommand_VCS_Firmware(DWORD p_ulCommandId);
    virtual ~CCommand_VCS_Firmware();

    BOOL InitCommand(DWORD p_ulCommandId);

    CCommand_VCS_Firmware& operator=(CCommand_VCS_Firmware& p_rOther);
    CCommandRoot* CloneCommand();

private:
    BOOL InitCommand_FirmwareUpdate(DWORD p_ulCommandId);

    //Firmware download
    void SetDefaultParameter_GetSerialNumber();
    void SetDefaultParameter_GetBaseSectorVersion();
    void SetDefaultParameter_ProgramHardwareInfos();
    void SetDefaultParameter_CleanupCommunication();
};
