#pragma once

#include "BaseClasses/Command_VCS.h"
#include "Command_VCS_Gateway_Definitions.h"

class CCommand_VCS_Gateway: public CCommand_VCS
{
public:
    CCommand_VCS_Gateway();
    CCommand_VCS_Gateway(DWORD p_ulCommandId);
    virtual ~CCommand_VCS_Gateway();

    BOOL InitCommand(DWORD p_ulCommandId);

    CCommand_VCS_Gateway& operator=(CCommand_VCS_Gateway& p_rOther);
    CCommandRoot*CloneCommand();

private:
    BOOL InitCommand_Infos(DWORD p_ulCommandId);

    void SetDefaultParameter_GetGatewaySettings();
    void SetDefaultParameter_SetGatewaySettings();
};
