#pragma once

#include "DeviceErrorCode_Definitions.h"
#include <MmcTypeDefinition.h>

class CDeviceErrorHandling
{
public:
    CDeviceErrorHandling();
    virtual ~CDeviceErrorHandling();

    // Enums
    enum EControllerType
    {
        CONTROLLER_TYPE_MAXPOS = 0
    };

    //Static Infos
    static BOOL GetErrorDescription(DWORD p_ulErrorCode, CStdString* p_pDescription);
    
    // Other controller types may have cases with same errorcode but different error meanings as EPOS
    static BOOL GetErrorDescription(EControllerType p_eControllerType, DWORD p_dErrorCode, CStdString* p_pDescription);
    static BOOL GetErrorDescriptionEposFamily(DWORD p_ulErrorCode, CStdString* p_pDescription);
    static BOOL GetErrorDescriptionMaxposFamily(DWORD p_ulErrorCode, CStdString* p_pDescription);
};
