#pragma once

#include <MmcTypeDefinition.h>

class CError
{
public:
    void Init(DWORD p_ulErrorCode, CStdString p_errorDescription);
    DWORD GetErrorCode();
    CError();
    virtual ~CError();

    virtual CError* Clone();

#ifdef _WIN32
    virtual void Serialize(CArchive& ar);
#endif //_WIN32

    CError& operator=(CError& other);

private:
    DWORD m_dErrorCode;
    CStdString m_strErrorDescription;
};
