#pragma once

#include <CommunicationModel/Common/CommunicationModelDefinitions.h>


#include <MmcTypeDefinition.h>

class CVariable
{
public:
    void SetName(CStdString p_Name);
    CStdString GetName();

    void SetType(CStdString p_Type);
    CStdString GetType();

    void SetSelectionAddress(__uint64 p_ullSelectionAddress);
    __uint64 GetSelectionAddress();

    CVariable(void);
    virtual ~CVariable(void);

private:
    CStdString m_Name;
    CStdString m_Type;
    __uint64 m_ullSelectionAddress;
};

