#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/Interface/ErrorHandlingInterface_RS232.h>

CErrorHandlingInterface_RS232::CErrorHandlingInterface_RS232()
{
}

CErrorHandlingInterface_RS232::~CErrorHandlingInterface_RS232()
{
}

BOOL CErrorHandlingInterface_RS232::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_RS232_WRITE_DATA:    *p_pDescription = _T("RS232 write data error"); break;
        case ERROR_RS232_READ_DATA:     *p_pDescription = _T("RS232 read data error"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
