#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/Interface/ErrorHandlingInterface_Socket.h>

CErrorHandlingInterface_Socket::CErrorHandlingInterface_Socket()
{
}

CErrorHandlingInterface_Socket::~CErrorHandlingInterface_Socket()
{
}

BOOL CErrorHandlingInterface_Socket::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_SOCKET_WRITE_DATA:   *p_pDescription = _T("Error writing EtherCAT Frame"); break;
        case ERROR_SOCKET_READ_DATA:    *p_pDescription = _T("Error reading EtherCAT Frame"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
