#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/ProtocolStack/ErrorHandlingProtocolStack_InfoteamSerial.h>

CErrorHandlingProtocolStack_InfoteamSerial::CErrorHandlingProtocolStack_InfoteamSerial()
{
}

CErrorHandlingProtocolStack_InfoteamSerial::~CErrorHandlingProtocolStack_InfoteamSerial()
{
}

BOOL CErrorHandlingProtocolStack_InfoteamSerial::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_INFOTEAM_SERIAL_BAD_ACK_RECEIVED:        *p_pDescription = _T("Infoteam Serial Protocol - Bad Acknowledge received"); break;
        case ERROR_INFOTEAM_SERIAL_REP_ACK_RECEIVED:        *p_pDescription = _T("Infoteam Serial Protocol - Repeat Acknowledge received"); break;
        case ERROR_INFOTEAM_SERIAL_BAD_CRC_RECEIVED:        *p_pDescription = _T("Infoteam Serial Protocol - Bad CRC received"); break;
        case ERROR_INFOTEAM_SERIAL_BAD_DATA_SIZE_RECEIVED:  *p_pDescription = _T("Infoteam Serial Protocol - Bad Data received"); break;
        case ERROR_INFOTEAM_SERIAL_CHUNK_SIZE_TOO_HIGH:     *p_pDescription = _T("Infoteam Serial Protocol - Chunk Size too hihg"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
