#include "stdafx.h"

#include <MmcTypeDefinition.h>

#include <CommunicationModel/CommonLayer/ErrorHandling/ErrorCode_Definitions.h>
#include <CommunicationModel/CommonLayer/ErrorHandling/ProtocolStack/ErrorHandlingProtocolStack_MaxonSerialV1.h>

CErrorHandlingProtocolStack_MaxonSerialV1::CErrorHandlingProtocolStack_MaxonSerialV1()
{
}

CErrorHandlingProtocolStack_MaxonSerialV1::~CErrorHandlingProtocolStack_MaxonSerialV1()
{
}

BOOL CErrorHandlingProtocolStack_MaxonSerialV1::GetErrorDescription(DWORD p_ulErrorCode, CStdString *p_pDescription)
{
    BOOL oResult(TRUE);

    switch(p_ulErrorCode)
    {
        case ERROR_MAXON_SERIAL_V1_NEG_ACK_RECEIVED:        *p_pDescription = _T("Negative acknowledge received"); break;
        case ERROR_MAXON_SERIAL_V1_BAD_CRC_RECEIVED:        *p_pDescription = _T("Bad CRC received"); break;
        case ERROR_MAXON_SERIAL_V1_BAD_DATA_SIZE_RECEIVED:  *p_pDescription = _T("Bad data received"); break;
        default: oResult = FALSE;
    }

    return oResult;
}
