#pragma once


#include <list>
#include <StdString.h>

#include <CommunicationModel/Common/CommunicationModelDefinitions.h>
#include <Drv/Ftd2xx/Ftd2xxDeviceInfo.h>
#include <Drv/Hid/HidDeviceInfo.h>

class CUsbDeviceInfoFactory
{
public:
    static BOOL GetAllIdentifiers(std::list<CStdString>& p_rTargets);
    static BOOL CreateInstance(CStdString p_Name, CUsbDeviceInfo*& p_rpInstance);
};
