#pragma once


#include <list>
#include <StdString.h>

#include <CommunicationModel/Interface/Classes/Gateway/RS232/Classes/Rs232DeviceInfoHandling.h>
#include <CommunicationModel/Interface/Classes/Gateway/USB/Classes/UsbDeviceInfoHandling.h>
#include <CommunicationModel/Interface/Classes/Gateway/CAN/Classes/CANDeviceInfoHandling.h>

class CDeviceInfoHandlingFactory
{
public:
    static BOOL GetAllIdentifiers(std::list<CStdString>& p_rTargets);
    static BOOL CreateInstance(CStdString p_Name, CDeviceInfoHandlingBase*& p_rpInstance);
};
