#pragma once


#include <list>
#include <StdString.h>

#include <CommunicationModel/Interface/Classes/Interfaces/Interface_RS232.h>
#include <CommunicationModel/Interface/Classes/Interfaces/Interface_USB.h>
#include <CommunicationModel/Interface/Classes/Interfaces/Interface_CAN.h>

class CInterfaceFactory
{
public:
    static BOOL GetAllIdentifiers(std::list<CStdString>& p_rTargets);
    static BOOL CreateInstance(CStdString p_Name, CInterfaceBase*& p_rpInstance);
};
