#include "stdafx.h"
#include "ProtocolStackMaxonSerialV2Factory.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

BOOL CProtocolStackMaxonSerialV2Factory::GetAllIdentifiers(std::list<CStdString>& p_rTargets)
{
    BOOL oResult = FALSE;

    p_rTargets.clear();

    p_rTargets.push_back(INTERFACE_RS232);
    p_rTargets.push_back(INTERFACE_USB);

    oResult = TRUE;

    return oResult;
}

BOOL CProtocolStackMaxonSerialV2Factory::CreateInstance(CStdString p_Name, CGatewayPStoI*& p_rpNewInstance)
{
    BOOL oResult = FALSE;

    if(p_Name.CompareNoCase(INTERFACE_RS232) == 0)
    {
        p_rpNewInstance = new CGatewayMaxonSerialV2ToRS232();
        oResult = TRUE;
    }
    else if(p_Name.CompareNoCase(INTERFACE_USB) == 0)
    {
        p_rpNewInstance = new CGatewayMaxonSerialV2ToUSB();
        oResult = TRUE;
    }

    return oResult;
}
