#include "stdafx.h"

#include <CommunicationModel/VirtualCommandSet/Classes/Gateway/Drive/DataRecorder/RecorderChannelObject.h>

CRecorderChannelObject::CRecorderChannelObject() :
    m_usIndex(0),
    m_ubSubIndex(0),
    m_ubSize(0)
{
}

CRecorderChannelObject::~CRecorderChannelObject()
{
}

void CRecorderChannelObject::SetParameter(WORD p_usIndex, BYTE p_ubSubIndex, BYTE p_ubSize)
{
    m_usIndex = p_usIndex;
    m_ubSubIndex = p_ubSubIndex;
    m_ubSize = p_ubSize;
}

void CRecorderChannelObject::GetParameter(WORD& p_rusIndex, BYTE& p_rubSubIndex, BYTE& p_rubSize)
{
    p_rusIndex = m_usIndex;
    p_rubSubIndex = m_ubSubIndex;
    p_rubSize = m_ubSize;
}

BOOL CRecorderChannelObject::IsEqual(WORD p_usIndex, BYTE p_ubSubIndex)
{
    BOOL oResult(FALSE);

    if (m_usIndex == p_usIndex && m_ubSubIndex == p_ubSubIndex)
    {
        oResult = TRUE;
    }

    return oResult;
}

BYTE CRecorderChannelObject::SizeInWord()
{
    BYTE ubResult;

    switch (m_ubSize)
    {
        case 1:
            ubResult = 1;
            break;
        case 2:
            ubResult = 1;
            break;
        case 4:
            ubResult = 2;
            break;
        case 8:
            ubResult = 4;
            break;
        default:
            ubResult = 0;
            break;
    }

    return ubResult;
}
