#pragma once

#include <list>
#include <MmcTypeDefinition.h>

class CUsbHostController;
class CUsbDevice;
class CUsbDevices;

class CUsbTreeFactoryDef
{
public:
    CUsbTreeFactoryDef();
    virtual ~CUsbTreeFactoryDef();

    virtual BOOL LoadHostControllers(std::list<CUsbHostController*>& p_rHostControllers) = 0;
    virtual BOOL LoadUsbDevices(std::list<CUsbDevice*>& p_rUsbDevices) = 0;

    BOOL LoadUsbDevices();
    void DeleteUsbDevices();

    CUsbDevices* GetDevices();

private:
    CUsbDevices* m_pUsbDevices;
};
