#pragma once

#include <MmcTypeDefinition.h>
#include <Storage/MmcUserSettings.h>

class CRs232DeviceInfo;
typedef std::list<CRs232DeviceInfo*> tRs232DeviceInfoList;

class CRs232DeviceInfo
{
public:
    CRs232DeviceInfo(void);
    virtual ~CRs232DeviceInfo(void);

    CRs232DeviceInfo& operator=(CRs232DeviceInfo& p_rOther);
    virtual CRs232DeviceInfo* Clone();

    //Class Infos
    virtual void InitClassInfo() { m_strClassType = _T("-CRs232DeviceInfo") + m_strClassType;}
    BOOL IsKindOf(CStdString strClassType);
    CStdString GetClassType();

    //Initialisation
    BOOL Init(CStdString p_PortName);

    //Identifiers
    CStdString GetPortName();

    //Compare
    BOOL IsEqual(CRs232DeviceInfo& p_rDeviceInfo);

protected:
    //ClassInfos
    CStdString m_strClassType;

    //Infos
    CStdString m_PortName;
};

