
#pragma once

#include <list>

class CEventsSourceBase;

class CIEventsBase
{
public:
    CIEventsBase(void);
    virtual ~CIEventsBase(void);

    //Reverse Registration
    BOOL RegisterEventsSource(CEventsSourceBase* p_pEventsSource);
    BOOL UnregisterEventsSource(CEventsSourceBase* p_pEventsSource);

private:
    //Reverse Registration
    BOOL IsEventsSourceExisting(CEventsSourceBase* p_pEventsSource);

    //Unregistration
    BOOL DoUnregistration();

private:
    //Reverse Registration for Unregistration
    std::list<CEventsSourceBase*> m_EventsSourceList;
};