#pragma once

#include <StdString.h>
#include <list>

class CLogFormatMaskType;

class CLogFormatMask
{
public:
    CLogFormatMask();
    virtual ~CLogFormatMask();

    CStdString GetLogMessage();

    void AddMaskType(CLogFormatMaskType* p_pMaskType);
    void SetSeparator(CStdString p_Separator);

private:
    void DeleteMaskTypeList();

private:
    std::list<CLogFormatMaskType*> m_FormatMaskTypeList;
    CStdString m_Separator;
};
