/*
 * MmcRegHelper.h
 *
 *  Created on: Oct 21, 2010
 *      Author: dawid
 */

#ifndef MMCREGHELPER_H_
#define MMCREGHELPER_H_

#include <list>
#include <MmcTypeDefinition.h>

typedef std::list<CStdString*> tRegStringList;

#ifndef ERROR_SUCCESS
#define ERROR_SUCCESS                    0L
#endif

class CMmcRegHelper
{
public:
    static long GetValue(CStdString strSubKey, CStdString valueName, CStdString* pStrValue);
    static long GetValueFromKey(HKEY p_hKey, CStdString p_valueName, CStdString& p_rStrValue);
    static long GetSubKeys(CStdString strKey, tRegStringList *pListSubKeys);
    static long GetCurrentUserSubKeys(CStdString strKey, tRegStringList *pListSubKeys);
    static void ReleaseRegStringList(tRegStringList *pListSubKeys);
};

#endif /* MMCREGHELPER_H_ */
