#ifndef _MMCUSERSETIINGS_BASE
#define _MMCUSERSETIINGS_BASE

#include <list>
#include <Storage/MmcUserSettingsDef.h>

class CMmcUserSettingsBase : public CMmcUserSettingsDef
{
public:
    CMmcUserSettingsBase();
    CMmcUserSettingsBase(CStdString root, bool oCreateKey);
    CMmcUserSettingsBase(CMmcUserSettingsBase *pParent, CStdString root, bool oCreateKey);
    virtual ~CMmcUserSettingsBase();

public:
    unsigned long   ReadULONG(CStdString key);
    CStdString      ReadString(CStdString key);
    bool            Write(CStdString key, CStdString value);
    bool            Write(CStdString key, unsigned long value);
    bool            Delete(CStdString key, bool deep=true);
    bool            DeleteTree(void *pKey, CStdString p_SubKey, bool deep);

    std::list<CStdString> GetChildrenNames();
};

#endif //_MMCUSERSETIINGS_BASE
