#pragma once

#ifdef _WIN32
    #include "../../../Win/include/Thread/MmcSemaphoreWin.h"
    typedef CMmcSemaphoreWin CMmcSemaphoreBase;
#else
#include "../../../Linux/include/Thread/MmcSemaphoreLinux.h"
    typedef CMmcSemaphoreLinux CMmcSemaphoreBase;
#endif

#include <StdString.h>

class CMmcSemaphore : public CMmcSemaphoreBase
{
public:
    CMmcSemaphore(int p_lInitialCount = 1, int p_lMaxCount = 1, CStdString p_Name = "");
    virtual ~CMmcSemaphore();
};
