#include "stdafx.h"

#include <Drv/Helper/UsbTree/UsbDeviceBase.h>

#include <Drv/Helper/UsbTree/UsbHostController.h>

CUsbHostController::CUsbHostController()
    : CUsbDeviceBase()
{
}

CUsbHostController::~CUsbHostController(void)
{
}

CUsbDeviceBase* CUsbHostController::Clone()
{
    CUsbHostController* pClonedHostController = new CUsbHostController();
    *pClonedHostController = *this;

    return pClonedHostController;
}

CUsbHostController& CUsbHostController::operator=(CUsbHostController& p_rOther)
{
    if(this != &p_rOther)
    {
        *((CUsbDeviceBase*)this) = *((CUsbDeviceBase*)&p_rOther);
    }

    return *this;
}

void CUsbHostController::Init(DWORD p_ulIndex, CStdString p_devicePath)
{
    InitIndex(p_ulIndex);
    InitDevicePath(p_devicePath);
}

void CUsbHostController::AddChild(CUsbDeviceBase* p_pDeviceBase)
{
    CUsbDeviceBase::AddChild(p_pDeviceBase);

    InitPortChains();
}
