#include "stdafx.h"
#include <Log/MmcLog/Log/Message/Format/LogFormatMask.h>
#include <Log/MmcLog/Log/Message/Format/LogFormat.h>

CLogFormat::CLogFormat()
    : m_pFormatMask(0)
{
}

CLogFormat::~CLogFormat()
{
    if(m_pFormatMask)
    {
        delete m_pFormatMask;
    }
}

void CLogFormat::SetFormatMask(CLogFormatMask* p_pFormatMask)
{
    m_pFormatMask = p_pFormatMask;
}

CStdString CLogFormat::Format(CStdString p_Msg)
{
    CStdString result = p_Msg;

    if(m_pFormatMask)
    {
        result = m_pFormatMask->GetLogMessage();
    }
    else
    {
        result = p_Msg;
    }

    return result;
}
