#pragma once

#include "../Ftd2xx/ftd2xx.h"

class CInputReport
{
public:
    uint8_t *data;
    size_t len;
    CInputReport *next;
};

class CHidDevice
{
public:
    libusb_device_handle *device_handle;

    int input_endpoint;
    int output_endpoint;
    int input_ep_max_packet_size;

    int interface;

    int manufacturer_index;
    int product_index;
    int serial_index;

    int blocking;

    pthread_t thread;
    pthread_mutex_t mutex;
    pthread_cond_t condition;
    pthread_barrier_t barrier;
    int shutdown_thread;
    int cancelled;
    libusb_transfer *transfer;

    CInputReport *input_reports;
};
