#include "../../../../include/Drv/Helper/UsbTree/LinuxUsbDirectory.h"

CLinuxUsbDirectory::CLinuxUsbDirectory()
{
    m_oParsed = false;
}

CLinuxUsbDirectory::CLinuxUsbDirectory(CStdString p_FileName)
{
	m_oParsed = false;
    m_FileName = p_FileName;
}

CLinuxUsbDirectory::CLinuxUsbDirectory(CStdString p_FileName, CStdString p_TargetFileName)
{
	m_oParsed = false;
    m_FileName = p_FileName;
    m_TargetFileName = p_TargetFileName;
}

CLinuxUsbDirectory::~CLinuxUsbDirectory()
{
}

CStdString CLinuxUsbDirectory::GetFileName()
{
    return m_FileName;
}

CStdString CLinuxUsbDirectory::GetTargetFileName()
{
    return m_TargetFileName;
}

void CLinuxUsbDirectory::SetFileName(CStdString p_FileName)
{    
    m_FileName = p_FileName;
}

void CLinuxUsbDirectory::SetTargetFileName(CStdString p_FileName)
{    
    m_TargetFileName = p_FileName;
}

void CLinuxUsbDirectory::SetParsed(bool p_oParsed)
{
    m_oParsed = p_oParsed;
}

bool CLinuxUsbDirectory::IsParsed()
{
    return m_oParsed;
}
