#include "stdafx.h"

#include <Log/MmcLog/Output/ConsoleLogOutput.h>
#include <Log/MmcLog/Factory/MmcLogFactory.h>

#include "../../../../include/Log/MmcLog/Message/ConsoleLogMessage.h"
#include "../../../../include/Log/MmcLog/Filter/FileExistsLogFilter.h"

CMmcLogFactory::CMmcLogFactory()
{
}

CMmcLogFactory::~CMmcLogFactory()
{
}

CLogFilter* CMmcLogFactory::CreateFilter()
{
	CFileExistsLogFilter* pRegistryLogFilter = new CFileExistsLogFilter();

	return pRegistryLogFilter;
}

CLogMessage* CMmcLogFactory::CreateMessage()
{
	CConsoleLogMessage* pMessage = new CConsoleLogMessage();

	return pMessage;
}

CLogOutput* CMmcLogFactory::CreateOutput()
{
    CConsoleLogOutput* pOutput = new CConsoleLogOutput();

    return pOutput;
}
