#include "stdafx.h"


#include "../../../../include/Log/MmcLog/Message/Format/ConsoleLogFormat.h"
#include "../../../../include/Log/MmcLog/Message/Format/ConsoleTimingLogFormat.h"
#include "../../../../include/Log/MmcLog/Message/ConsoleLogMessage.h"

CConsoleLogMessage::CConsoleLogMessage()
{
    CreateFormatList();
}

CConsoleLogMessage::~CConsoleLogMessage()
{
}

void CConsoleLogMessage::CreateFormatList()
{
    CConsoleLogFormat* pFormat = new CConsoleLogFormat(this);
    CConsoleTimingLogFormat* pTimingFormat = new CConsoleTimingLogFormat();

    AddFormat(pFormat);
    AddFormat(pTimingFormat);
}
